Skip to content

Payments: List

GET/payments/list

To list the payments

Query parameters

  • customer_idstring, nullable

    The identifier for the customer

  • starting_afterstring, nullable

    A cursor for use in pagination, fetch the next list after some object

  • ending_beforestring, nullable

    A cursor for use in pagination, fetch the previous list before some object

  • limitinteger, nullable

    Limit on the number of objects to return

  • createdstring, nullable

    The time at which payment is created

  • created_ltstring, nullable

    Time less than the payment created time

  • created_gtstring, nullable

    Time greater than the payment created time

  • created_ltestring, nullable

    Time less than or equals to the payment created time

  • created_gtestring, nullable

    Time greater than or equals to the payment created time

Responses

  • 200Successfully retrieved a payment list
  • 404No payments found

Request

curl --request GET \
  --url https://sandbox.cardencer.com/payments/list \
  --header 'api-key: snd_...'

Response

[
  {
    "size": 0,
    "data": [
      {}
    ]
  }
]